Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.elasticmapreduce.model
Class JobFlowInstancesConfig

    java.lang.Object
      com.amazonaws.services.elasticmapreduce.model.JobFlowInstancesConfig

    public class JobFlowInstancesConfig

extends Object

A description of the Amazon EC2 instance running the job flow.

Constructor Summary
`JobFlowInstancesConfig()`

Method Summary
`String` | `getEc2KeyName()` Specifies the name of the Amazon EC2 key pair that can be used to ssh to the master node as the user called "hadoop."
`String` | `getHadoopVersion()` Specifies the Hadoop version for the job flow.
`Integer` | `getInstanceCount()` The number of Amazon EC2 instances used to execute the job flow.
`Boolean` | `getKeepJobFlowAliveWhenNoSteps()` Specifies whether the job flow should terminate after completing all steps.
`String` | `getMasterInstanceType()` The EC2 instance type of the master node.
`PlacementType` | `getPlacement()` Specifies the Availability Zone the job flow will run in.
`String` | `getSlaveInstanceType()` The EC2 instance type of the slave nodes.
`Boolean` | `isKeepJobFlowAliveWhenNoSteps()` Specifies whether the job flow should terminate after completing all steps.
`void` | `setEc2KeyName(String ec2KeyName)` Specifies the name of the Amazon EC2 key pair that can be used to ssh to the master node as the user called "hadoop."
`void` | `setHadoopVersion(String hadoopVersion)` Specifies the Hadoop version for the job flow.
`void` | `setInstanceCount(Integer instanceCount)` The number of Amazon EC2 instances used to execute the job flow.
`void` | `setKeepJobFlowAliveWhenNoSteps(Boolean keepJobFlowAliveWhenNoSteps)` Specifies whether the job flow should terminate after completing all steps.
`void` | `setMasterInstanceType(String masterInstanceType)` The EC2 instance type of the master node.
`void` | `setPlacement(PlacementType placement)` Specifies the Availability Zone the job flow will run in.
`void` | `setSlaveInstanceType(String slaveInstanceType)` The EC2 instance type of the slave nodes.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`JobFlowInstancesConfig` | `withEc2KeyName(String ec2KeyName)` Specifies the name of the Amazon EC2 key pair that can be used to ssh to the master node as the user called "hadoop."
`JobFlowInstancesConfig` | `withHadoopVersion(String hadoopVersion)` Specifies the Hadoop version for the job flow.
`JobFlowInstancesConfig` | `withInstanceCount(Integer instanceCount)` The number of Amazon EC2 instances used to execute the job flow.
`JobFlowInstancesConfig` | `withKeepJobFlowAliveWhenNoSteps(Boolean keepJobFlowAliveWhenNoSteps)` Specifies whether the job flow should terminate after completing all steps.
`JobFlowInstancesConfig` | `withMasterInstanceType(String masterInstanceType)` The EC2 instance type of the master node.
`JobFlowInstancesConfig` | `withPlacement(PlacementType placement)` Specifies the Availability Zone the job flow will run in.
`JobFlowInstancesConfig` | `withSlaveInstanceType(String slaveInstanceType)` The EC2 instance type of the slave nodes.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JobFlowInstancesConfig

    public JobFlowInstancesConfig()

Method Detail

### getMasterInstanceType

    public String getMasterInstanceType()

  The EC2 instance type of the master node.

  Returns:
    The EC2 instance type of the master node.

### setMasterInstanceType

    public void setMasterInstanceType(String masterInstanceType)

  The EC2 instance type of the master node.

  Parameters:
    `masterInstanceType` - The EC2 instance type of the master node.

### withMasterInstanceType

    public JobFlowInstancesConfig withMasterInstanceType(String masterInstanceType)

  The EC2 instance type of the master node.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `masterInstanceType` - The EC2 instance type of the master node.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getSlaveInstanceType

    public String getSlaveInstanceType()

  The EC2 instance type of the slave nodes.

  Returns:
    The EC2 instance type of the slave nodes.

### setSlaveInstanceType

    public void setSlaveInstanceType(String slaveInstanceType)

  The EC2 instance type of the slave nodes.

  Parameters:
    `slaveInstanceType` - The EC2 instance type of the slave nodes.

### withSlaveInstanceType

    public JobFlowInstancesConfig withSlaveInstanceType(String slaveInstanceType)

  The EC2 instance type of the slave nodes.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `slaveInstanceType` - The EC2 instance type of the slave nodes.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getInstanceCount

    public Integer getInstanceCount()

  The number of Amazon EC2 instances used to execute the job flow.

  Returns:
    The number of Amazon EC2 instances used to execute the job flow.

### setInstanceCount

    public void setInstanceCount(Integer instanceCount)

  The number of Amazon EC2 instances used to execute the job flow.

  Parameters:
    `instanceCount` - The number of Amazon EC2 instances used to execute the job flow.

### withInstanceCount

    public JobFlowInstancesConfig withInstanceCount(Integer instanceCount)

  The number of Amazon EC2 instances used to execute the job flow.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instanceCount` - The number of Amazon EC2 instances used to execute the job flow.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getEc2KeyName

    public String getEc2KeyName()

  Specifies the name of the Amazon EC2 key pair that can be used to ssh to the master node as the user called "hadoop."

  Constraints:
  Length: 1 - 256

  Returns:
    Specifies the name of the Amazon EC2 key pair that can be used to ssh to the master node as the user called "hadoop."

### setEc2KeyName

    public void setEc2KeyName(String ec2KeyName)

  Specifies the name of the Amazon EC2 key pair that can be used to ssh to the master node as the user called "hadoop."

  Constraints:
  Length: 1 - 256

  Parameters:
    `ec2KeyName` - Specifies the name of the Amazon EC2 key pair that can be used to ssh to the master node as the user called "hadoop."

### withEc2KeyName

    public JobFlowInstancesConfig withEc2KeyName(String ec2KeyName)

  Specifies the name of the Amazon EC2 key pair that can be used to ssh to the master node as the user called "hadoop."

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 - 256

  Parameters:
    `ec2KeyName` - Specifies the name of the Amazon EC2 key pair that can be used to ssh to the master node as the user called "hadoop."
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getPlacement

    public PlacementType getPlacement()

  Specifies the Availability Zone the job flow will run in.

  Returns:
    Specifies the Availability Zone the job flow will run in.

### setPlacement

    public void setPlacement(PlacementType placement)

  Specifies the Availability Zone the job flow will run in.

  Parameters:
    `placement` - Specifies the Availability Zone the job flow will run in.

### withPlacement

    public JobFlowInstancesConfig withPlacement(PlacementType placement)

  Specifies the Availability Zone the job flow will run in.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `placement` - Specifies the Availability Zone the job flow will run in.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### isKeepJobFlowAliveWhenNoSteps

    public Boolean isKeepJobFlowAliveWhenNoSteps()

  Specifies whether the job flow should terminate after completing all steps.

  Returns:
    Specifies whether the job flow should terminate after completing all steps.

### setKeepJobFlowAliveWhenNoSteps

    public void setKeepJobFlowAliveWhenNoSteps(Boolean keepJobFlowAliveWhenNoSteps)

  Specifies whether the job flow should terminate after completing all steps.

  Parameters:
    `keepJobFlowAliveWhenNoSteps` - Specifies whether the job flow should terminate after completing all steps.

### withKeepJobFlowAliveWhenNoSteps

    public JobFlowInstancesConfig withKeepJobFlowAliveWhenNoSteps(Boolean keepJobFlowAliveWhenNoSteps)

  Specifies whether the job flow should terminate after completing all steps.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `keepJobFlowAliveWhenNoSteps` - Specifies whether the job flow should terminate after completing all steps.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getKeepJobFlowAliveWhenNoSteps

    public Boolean getKeepJobFlowAliveWhenNoSteps()

  Specifies whether the job flow should terminate after completing all steps.

  Returns:
    Specifies whether the job flow should terminate after completing all steps.

### getHadoopVersion

    public String getHadoopVersion()

  Specifies the Hadoop version for the job flow.

  Returns:
    Specifies the Hadoop version for the job flow.

### setHadoopVersion

    public void setHadoopVersion(String hadoopVersion)

  Specifies the Hadoop version for the job flow.

  Parameters:
    `hadoopVersion` - Specifies the Hadoop version for the job flow.

### withHadoopVersion

    public JobFlowInstancesConfig withHadoopVersion(String hadoopVersion)

  Specifies the Hadoop version for the job flow.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `hadoopVersion` - Specifies the Hadoop version for the job flow.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.